Module jdk.jfr
Package jdk.jfr.consumer

## Class RecordedThreadGroup

- java.lang.Object
- - jdk.jfr.consumer.RecordedObject
  - - jdk.jfr.consumer.RecordedThreadGroup

-     public final class RecordedThreadGroup
      extends RecordedObject

  A recorded Java thread group.
  Since:
    9

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name of the thread group, or `null` if doesn't exist.
    `RecordedThreadGroup` | `getParent()` | Returns the parent thread group, or `null` if it doesn't exist.

    - ### Methods declared in class jdk.jfr.consumer.RecordedObject

      `getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of the thread group, or `null` if doesn't exist.
      Returns:
        the thread group name, or `null` if doesn't exist

    - #### getParent

          public RecordedThreadGroup getParent()

      Returns the parent thread group, or `null` if it doesn't exist.
      Returns:
        parent thread group, or `null` if it doesn't exist.